# Get User Profile by ID Current user will get its profile information in response. User will also get ID of a role assign to him and a list of group IDs from which it belongs to. Average Response Time: 154ms Endpoint: GET /user/{id} Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation ## Path parameters: - `id` (string, required) A User Profile ID. Example: "4e428628-2537-40b5-91a4-5393cbf167df" ## Response 200 fields (application/json): - `userId` (string) Current User ID Example: "7d675ef0-f423-11e9-8071-89c0c4052141" - `customerId` (string) Parent Customer ID Example: "1234567890" - `emailId` (string) User email Example: "erlich.bachman@piedpiper.com" - `firstName` (string) User first name Example: "Erlich" - `lastName` (string) User last name Example: "Bachman" - `roleId` (string) User role ID Example: "7d5620e0-f423-11e9-8071-89c0c4052141" - `status` (string) User account status Example: "enabled" - `groups` (array) List of group IDs that user belongs to Example: ["7d6207c0-f423-11e9-8071-89c0c4052141"] - `userName` (string,null) The username of the Tenovos user, created by the Administrator or user at the time of account creation. Can be null for federated user accounts. Example: "erlich.bachman" - `phone` (string) Example: 15551234565 - `contact` (string) The person designated as the sponsor/point of contact for this user Example: "Richard Hendricks" - `country` (string) The country in which the Tenovos user is located. Example: "USA" - `company` (string) The company that the Tenovos user works for. Example: "Pied Piper" - `friendlyName` (string) A "friendlier" version of the username. Used in the UI display and provided by the user. Example: "Erlich Bachman" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)